## org.apache.batik.dom.events
Class DOMTimeEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMTimeEvent

All Implemented Interfaces:
  java.lang.Cloneable, OriginalEvent, Event, org.w3c.dom.smil.TimeEvent

    public class DOMTimeEvent

extends AbstractEvent
implements org.w3c.dom.smil.TimeEvent

An event class for SMIL timing events.

Field Summary
`protected int` `detail` For repeat events this is the repeat iteration.
`protected org.w3c.dom.views.AbstractView` `view` The view from which the event was generated.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMTimeEvent()`

Method Summary
`int` `getDetail()` Returns the repeat iteration if this is a repeat event.
`org.w3c.dom.views.AbstractView` `getView()` Returns the view from which the event was generated.
`void` `initTimeEvent(java.lang.String typeArg, org.w3c.dom.views.AbstractView viewArg, int detailArg)` Initializes the values of the TimeEvent object.
`void` `initTimeEventNS(java.lang.String namespaceURIArg, java.lang.String typeArg, org.w3c.dom.views.AbstractView viewArg, int detailArg)` Initializes the values of the TimeEvent object.
`void` `setTimestamp(long timeStamp)` Sets the timestamp of this time event.

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### view

    protected org.w3c.dom.views.AbstractView view

  The view from which the event was generated.

### detail

    protected int detail

  For repeat events this is the repeat iteration. Unused for the other time events.

Constructor Detail

### DOMTimeEvent

    public DOMTimeEvent()

Method Detail

### getView

    public org.w3c.dom.views.AbstractView getView()

  Returns the view from which the event was generated.

  Specified by:
    `getView` in interface `org.w3c.dom.smil.TimeEvent`

### getDetail

    public int getDetail()

  Returns the repeat iteration if this is a repeat event.

  Specified by:
    `getDetail` in interface `org.w3c.dom.smil.TimeEvent`

### initTimeEvent

    public void initTimeEvent(java.lang.String typeArg,
                              org.w3c.dom.views.AbstractView viewArg,
                              int detailArg)

  Initializes the values of the TimeEvent object.

  Specified by:
    `initTimeEvent` in interface `org.w3c.dom.smil.TimeEvent`

### initTimeEventNS

    public void initTimeEventNS(java.lang.String namespaceURIArg,
                                java.lang.String typeArg,
                                org.w3c.dom.views.AbstractView viewArg,
                                int detailArg)

  Initializes the values of the TimeEvent object.

### setTimestamp

    public void setTimestamp(long timeStamp)

  Sets the timestamp of this time event. This is required for synchronization of time events in the SMIL timing model.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.